STRPBRK(3) | Library Functions Manual | STRPBRK(3)

# NAME

`strpbrk` —
locate multiple characters in string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <string.h>`

char *
`strpbrk`(const char *s, const char *charset);

# DESCRIPTION

The `strpbrk`() function locates in the nul-terminated string s the first occurrence of any character in the string charset and returns a pointer to this character. If no characters from charset occur anywhere in s `strpbrk`() returns `NULL`.

# SEE ALSO

index(3), memchr(3), rindex(3), strchr(3), strcspn(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

# STANDARDS

The `strpbrk`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

June 4, 1993 | NetBSD 9.2